Summary: SynCE tray icon for GNOME
Name: synce-trayicon
Version: 0.14
Release: alt1
License: MIT LGPL
Group: Communications
Url: http://synce.sourceforge.net/

Source: http://downloads.sourceforge.net/synce/%name-%version.tar.gz
Patch1: synce-trayicon-0.13-hal-default.patch
Patch2: synce-trayicon-0.14-alt-link-libxml.patch

BuildPreReq: rpm-build-gnome
BuildRequires: gcc-c++
BuildRequires: librapi-devel >= 0.14
BuildRequires: librra-devel >= 0.14
BuildRequires: glib2-devel 
BuildRequires: libgtk+2-devel >= 2.14
BuildRequires: libgnome-devel libgnomeui-devel libgtop-devel
BuildRequires: libdbus-devel >= 0.61 libdbus-glib-devel >= 0.61
BuildRequires: libhal-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libnotify-devel >= 0.3.0
BuildRequires: liborange-devel >= 0.3.2
BuildRequires: libxml2-devel >= 2.6.0

%description
Synce-trayicon is part of the SynCE project. This application provides
an icon in the system tray that shows when a device is connected and
lets you perform a variety of operations on connected devices.

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
ACLOCAL="aclocal -I m4" %autoreconf
%configure --disable-static --disable-schemas-install
%make_build

%install
%make DESTDIR=%buildroot install
rm -rf %buildroot%_libdir/synce-trayicon/modules/*la

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING README
%config %gconf_schemasdir/*
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/modules
%_libdir/%name/modules/*.so
%_datadir/synce/synce_trayicon_properties.glade
%_datadir/icons/hicolor/*/apps/*
%_datadir/applications/*
%gnome_autostartdir/*
%_man1dir/*

%changelog
* Mon Aug 24 2009 Alexey Shabalin <shaba@altlinux.ru> 0.14-alt1
- 0.14

* Tue Mar 03 2009 Alexey Shabalin <shaba@altlinux.ru> 0.13-alt1
- 0.13

* Sat Jan 03 2009 Alexey Shabalin <shaba@altlinux.ru> 0.12-alt1
- 0.12

* Tue Sep 28 2004 Alexey Shabalin <shaba@altlinux.ru> 0.9.0-alt0.1
- initial release


